Subject: bug#26805: closed (Re: bug#26805: [PATCH] gs-fonts: add missing module imports)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 May 2017 19:08:01 +0000

Your bug report

#26805: [PATCH] gs-fonts: add missing podule imports

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26805: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26805
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26805: [PATCH] gs-fonts: add missing module imports
From: Danny Milosavljevic <[email-masked]>
To: Sergei Trofimovich <[email-masked]>
Cc: [email-masked]
Date: Sun, 7 May 2017 21:06:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Sergei,

thanks for your contribution.

I've pushed it to core-updates as 809bc3948e2441daae32dfd1beb6c1984b840315.

This causes 3198 dependent packages to rebuild, therefore I'll not push it to master (which I did for the other module import patches - because they caused a lot fewer packages to rebuild).

Subject: [PATCH] gs-fonts: add missing podule imports
From: Sergei Trofimovich <[email-masked]>
To: [email-masked]
Cc: Sergei Trofimovich <[email-masked]>
Date: Sat, 6 May 2017 16:40:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On code-updates branch 'gs-fonts' build fails as:

ice-9/psyntax.scm:1534:32: In procedure expand-macro:
ice-9/psyntax.scm:1534:32: Syntax error:
...-gs-fonts-8.11-guile-builder:1:2300: source expression failed to match
any pattern in form (%modify-phases phases* (delete (quote configure)))
builder for `/gnu/store/...-gs-fonts-8.11.drv' failed with exit code 1

* gnu/packages/ghostscript.scm (gs-fonts): add missing modules to
  %modify-phases call: gnu-build-system, utils, srfi-1

Signed-off-by: Sergei Trofimovich <[email-masked]>
---
 gnu/packages/ghostscript.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/ghostscript.scm b/gnu/packages/ghostscript.scm
index 076046e72..33b8f51b6 100644
--- a/gnu/packages/ghostscript.scm
+++ b/gnu/packages/ghostscript.scm
@@ -273,6 +273,10 @@ architecture.")
    (build-system gnu-build-system)
    (arguments
     `(#:tests? #f ; nothing to check, just files to copy
+
+      #:modules ((guix build gnu-build-system)
+                 (guix build utils)
+                 (srfi srfi-1))
       #:phases
       (modify-phases %standard-phases
         (delete 'configure)
-- 
2.12.2